#ifndef AK_GLOBUS_ENG_INF_H
#define AK_GLOBUS_ENG_INF_H

/**
  * Used by the globus authorization callout.
  *
  * @version 1.1 07/23/03
  * @author Abdelilah Essiari
  */
#ifdef __cplusplus
extern "C" {
#endif


/**
  * Checks a user's access to executables managed by the GLOBUS Job Manager.
  * 
  * @param subjectDN        requester's dn
  * @param subjectCADN      ca's dn. 
  * @param resource         executable 
  * @param action           desired action
  * @param jobId            job's id 
  * @param confile          akenti configuration file 
  * @param status           debug info
  *
  * @return  0 if authorized
  * @return  1 if denied 
  * @return  -1 if error 
  */

int akentiGlobusCheck(const char* subjectDN,
                      const char* subjectCADN,
                      const char* resource,
                      const char* action,
                      const char* confFile,
                      char** status);

#ifdef __cplusplus
}
#endif
#endif
