#ifndef AK_HMAC_HPP
#define AK_HMAC_HPP

#include "ref_ptr.hpp" 
#include "HmacImpl.hpp" 
#include "Provider.hpp" 

namespace Akenti {

/**
  */
class Hmac : public ref_ptr<HmacImpl> {

public:

   /**
     */
   Hmac(HmacImpl* impl) : ref_ptr<HmacImpl>(impl) {
   }

   /**
     */
   ~Hmac() {
   }

   /**
     * Returns <i>true</i> if alg is supported.
     *
     * @see loadAlgorithms()
     */
   static bool isAlgSupported(const string& alg) {
      Provider& po = Provider::getProvider();
     
      return po->isDigestAlgorithmSupported(alg);
   }

   /**
     */
   static Hmac getInstance(const string& alg) {
     Provider& po = Provider::getProvider();

     return po->getHmac(alg);
   }

   /**
     */
   static Hmac getNullHmac() {
     return new HmacImpl("NULL");
   }

private:

};

}

#endif
