#ifndef HTTP_CONSTANTS_HPP
#define HTTP_CONSTANTS_HPP

#include <string>

using std::string;

namespace Akenti {

/**
  * HTTP constants.
  * <pre>
  *
  *  HttpConstants::CRLF = "\r\n";
  *  HttpConstants::PROTOCOL = "HTTP/1.0";
  *  HttpConstants::HTTP_OK = 200;
  *  HttpConstants::HTTP_OK_MESSAGE = "OK";
  *  HttpConstants::HTTP_BAD = 400;
  *  HttpConstants::HTTP_BAD_MESSAGE = "Bad request";
  *  HttpConstants::HTTP_FORBIDDEN = 403;
  *  HttpConstants::HTTP_FORBIDDEN_MESSAGE = "Forbidden";
  *  HttpConstants::HTTP_UNSUPPORTED = 405;
  *  HttpConstants::HTTP_UNSUPPORTED_MESSAGE = "Method not allowed";
  *  HttpConstants::HTTP_FILE_NOT_FOUND = 404;
  *  HttpConstants::HTTP_FILE_NOT_FOUND_MESSAGE = "Not found";
  *  HttpConstants::HTTP_ERROR = 500;
  *  HttpConstants::HTTP_ERROR_MESSAGE = "Server Error";
  * </pre>
  */
class HttpConstants {

public:

static const string CRLF;

static const string PROTOCOL;

static const int HTTP_OK;

static const string HTTP_OK_MESSAGE;

static const int HTTP_BAD;

static const string HTTP_BAD_MESSAGE;

static const int HTTP_FORBIDDEN;

static const string HTTP_FORBIDDEN_MESSAGE;

static const int HTTP_UNSUPPORTED;

static const string HTTP_UNSUPPORTED_MESSAGE;

static const int HTTP_FILE_NOT_FOUND;

static const string HTTP_FILE_NOT_FOUND_MESSAGE;

static const int HTTP_ERROR;
  
static const string HTTP_ERROR_MESSAGE;

protected:
 
  HttpConstants() {
  }

};

}

#endif

