#ifndef AKENTI_HTTP_RESPONSE_HPP
#define AKENTI_HTTP_RESPONSE_HPP

#include <string>

#include "HttpBase.hpp"

using std::string;

namespace Akenti {

/**
  * @version 1.1 12/26/02
  * @author Abdelilah Essiari 
  */	

class HttpResponse : public HttpBase {

public:

  /**
    */
  HttpResponse();

  /**
    */
  ~HttpResponse();

  /**
    */
  void setStatusCode(int statusCode);

  /**
    */
  int getStatusCode() const;

  /**
    */
  void setStatusMessage(const string& message);

  /**
    */
  string getStatusMessage() const;

  /**
    */
  InputStream getInputStream() const;

  /**
    */
  OutputStream getOutputStream();

  /**
    */
  void fromStream(InputStream& is);

  /**
    */
  void toStream(OutputStream& os) const;

private:

  int statusCode;

  string statusMessage;
};

} // end of name space

#endif
