#ifndef AK_PARSING_EXCEPTION
#define AK_PARSING_EXCEPTION

#include "Exception.hpp"

/**
  * Parsing Exception thrown when a parsing error is encountered. A subclass of 
  * <i>Exception<i>.  
  *
  * @see Exception
  *
  * @version 1.1 00/05/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  *
  */

namespace Akenti {

class ParsingException : public Exception {

public:

  /**
    * Constructor.
    *
    * @param message describes the parsing error that occured
    */
  ParsingException(const string& msg) : Exception(msg) {
  }
 
  /**
    * Destructor.
    */      
  virtual ~ParsingException() throw() {
  }
     
};

} // end of namespace Akenti

#endif
