#ifndef AKENTI_RESTRICTED_ATTRIBUTE_HPP
#define AKENTI_RESTRICTED_ATTRIBUTE_HPP

#include <string>
#include "Xerces-Decls.hpp"
using namespace std;

namespace Akenti {

/**
  * Holds an attribute name , and associated value - used primarily
  * by RemoteCheckAccess
  *
  * @version 1.0 06/24/04
  * @author Sushila R. Subramanian
  */
class RestrictedAttribute {

public:

  /** 
    * Default constructor.
    */
  RestrictedAttribute();

  RestrictedAttribute (const string& name, const string& value);
  /** 
    * Sets the attribute name
    */
  void setAttrName(const string & attrName);

  /** 
    * Returns the attribute name
    */
  const string & getAttrName() const;

  /** 
    * Sets attribute value
    */
  void setAttrValue(const string & attrValue);

  /** 
    * Returns attribute value
    */
  const string& getAttrValue() const;

  /** 
    * Populates the DOMElement from this <i> RestrictedAttribute</i>.
    */
   void toXML(DOMElement* resAttr) const;

  /** 
    * Initializes this <i>RestrictedAttribute</i> from the DOMElement.
    */
   void fromXML(const DOMElement* resAttr);

private:

  string attrName;
  string attrValue;

};

}

#endif  
