#ifndef AKENTI_SOAP_HTTP_RESPONSE_HPP
#define AKENTI_SOAP_HTTP_RESPONSE_HPP

#include <string>
#include "Xerces-Decls.hpp"
#include "HttpResponse.hpp"
#include "SoapConstants.hpp"

using std::string;

namespace Akenti {

/**
  * Handles a soap response over http.
  *
  * @see HttpResponse
  *
  * @version 1.1 12/26/02
  * @author Abdelilah Essiari 
  */	

class SoapHttpResponse : public HttpResponse {

public:

  /**
    */
  SoapHttpResponse();

  /**
    */
  ~SoapHttpResponse();

  /**
    */
  void setStatusCode(int statusCode);

  /**
    */
  void setReturnValue(DOMElement* retValue);

  /**
    */
  const DOMElement* getReturnValue() const;

  /**
    */
  void setFaultCode(SoapFaultCode faultCode);

  /**
    */
  SoapFaultCode getFaultCode() const;

  /**
    */
  void setFaultMessage(const string& faultMessage);

  /**
    */
  const string& getFaultMessage() const;

  /**
    */
  InputStream getInputStream() const;

  /**
    */
  OutputStream getOutputStream();

  /**
    */
  void fromStream(InputStream& is);

  /**
    */
  void toStream(OutputStream& os) const;

private:

  DOMElement* retValue;

  SoapFaultCode faultCode;

  string faultMessage;

};

} // end of name space

#endif
