#ifndef AK_SOCKET_OUTPUT_STREAM_HPP
#define AK_SOCKET_OUTPUT_STREAM_HPP

#include <iostream>

#if defined __GNUC__ && __GNUC__ < 3 
# include <streambuf.h>
#else 
# include <streambuf>
#endif

using std::ostream;
using std::streambuf;

/**
  * A <i>SocketOuputStream<i> subclass of ostream.
  *
  * @version 1.1 00/11/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  */

namespace Akenti {

class SocketOutputStream : public ostream {

public:

  /**
    * Construts this object
    *
    * @param buf the stream buffer
    */
  SocketOutputStream(streambuf* buf) : ostream(buf) {
  }

  /**
    * Destroys this object 
    */
  ~SocketOutputStream() {
    delete(rdbuf());
  }

};

} // end of namespace Akenti

#endif
