#ifndef TOKENS_HPP
#define TOKENS_HPP

namespace Akenti {

/**
  * <i>TokenType</i>.
  *
  * @type TokenType
  * 
  * Values of <i>TokenType</i> are: <br>
  * <blockquote>
  *    "CONST",   <br>
  *    "AND",     <br>
  *    "OR",      <br>
  *    "NOT",     <br>
  *    "LPAREN",  <br>
  *    "RPAREN",  <br>
  *    "GR",      <br> 
  *    "GRE",     <br>
  *    "LT",      <br>
  *    "LTE",     <br>
  *    "EQ",      <br>
  *    "NEQ",     <br> 
  *    "INVALID"  <br> 
  * </blockquote>
  *
  * @version 1.1 00/05/01
  * @author Srilekha Mudumbai
  * @author Abdelilah Essiari
  */
enum TokenType {
  CONST, 
  AND,
  OR,
  NOT,
  LPAREN,
  RPAREN,
  GR,
  GRE,
  LT,
  LTE,
  EQ, 
  NEQ,
  INVALID,
  ENULL
}; 

} // end of namespace
 
#endif
