#ifndef XML_UTIL_HPP
#define XML_UTIL_HPP

#include <iosfwd>
#include <string>
#include <memory>
#include "Xerces-Decls.hpp"
#include "XStr.hpp"

namespace Akenti {

class InputStream;

class XMLUtil {

public: 

  /**
    */
  ~XMLUtil();

  /**
    */
  static void init(); 

  /**
    */
  static std::auto_ptr<AbstractDOMParser> parse(std::istream& is);

  /**
    */
  static std::auto_ptr<AbstractDOMParser> parse(InputStream& is);

  /**
    */
  static std::string convert(const XMLCh* s);

  /**
   */
  // static const XMLCh* convert(const char* ch);
  static XStr convert(const char* ch);

  /**
    */
  static void filter(DOMNode* n);  

  /**
    */
  static void write(std::ostream& target, DOMNode* toWrite);

private:

  XMLUtil();

};

}

#endif
